JBoss Native SVN: r3409 - trunk/build/unix.
by jbossnative-commits@lists.jboss.org
Author: jfrederic.clere(a)jboss.com
Date: 2015-08-10 05:25:19 -0400 (Mon, 10 Aug 2015)
New Revision: 3409
Modified:
trunk/build/unix/build.sh
Log:
make sure a 32 bits library for pcre is build...
Modified: trunk/build/unix/build.sh
===================================================================
--- trunk/build/unix/build.sh 2015-06-22 14:03:42 UTC (rev 3408)
+++ trunk/build/unix/build.sh 2015-08-10 09:25:19 UTC (rev 3409)
@@ -1166,7 +1166,14 @@
add_static="--shared"
fi
if [ -f /opt/SUNWspro/bin/cc ]; then
- CFLAGS="-g -O3" CC="/opt/SUNWspro/bin/cc -m64" ./configure ${add_conf} --disable-cpp --disable-pcregrep-jit --prefix=${pcre_common_dir} ${add_static} --enable-utf8 --enable-unicode-properties || exit 1
+ # -m64 looks bad for 32 bits builds...
+ if $force_64; then
+ echo "Doing pcre for 64 bits"
+ CFLAGS="-g -O3" CC="/opt/SUNWspro/bin/cc -m64" ./configure ${add_conf} --disable-cpp --disable-pcregrep-jit --prefix=${pcre_common_dir} ${add_static} --enable-utf8 --enable-unicode-properties || exit 1
+ else
+ echo "Doing pcre for 32 bits"
+ CFLAGS="-g -O3" CC="/opt/SUNWspro/bin/cc" ./configure ${add_conf} --disable-cpp --disable-pcregrep-jit --prefix=${pcre_common_dir} ${add_static} --enable-utf8 --enable-unicode-properties || exit 1
+ fi
else
echo "Doing ./configure ${add_conf} --disable-cpp --disable-pcregrep-jit --prefix=${pcre_common_dir} ${add_static} --enable-utf8 --enable-unicode-properties"
./configure ${add_conf} --disable-cpp --disable-pcregrep-jit --prefix=${pcre_common_dir} ${add_static} --enable-utf8 --enable-unicode-properties || exit 1
9 years, 4 months